###################################################
### chunk number 1: 
###################################################
 options(continue="  ")
 options(warn=1)


###################################################
### chunk number 2: 
###################################################
library("TSfame")  


###################################################
### chunk number 3: 
###################################################
con <- TSconnect("fame", dbname="testvigFame.db") 


###################################################
### chunk number 4: 
###################################################
 z <- ts(rnorm(10), start=c(1990,1), frequency=1)
 seriesNames(z) <- "vec"
 if(TSexists("vec", con)) TSdelete("vec", con) 
 TSput( z, con)
 z <- TSget("vec", con)


###################################################
### chunk number 5: 
###################################################
 z <- ts(matrix(rnorm(20),10,2), start=c(1990,1), frequency=1)
 seriesNames(z) <- c("matc1", "matc2")
 TSreplace(z, con)
 TSget("matc1", con)
 TSget("matc2", con)
 TSget(c("matc1","matc2"), con)
 tfplot(z+1, TSget(c("matc1","matc2"), con), 
          lty=c("solid", "dashed"), col=c("black", "red"))


###################################################
### chunk number 6: 
###################################################
 z <- ts(matrix(rnorm(20),10,2), start=c(1990,1), frequency=4)
  seriesNames(z) <- c("matc1", "matc2")
 TSreplace(z, con)
 TSget(c("matc1","matc2"), con)
 tfplot(z+1, TSget(c("matc1","matc2"), con),
          lty=c("solid", "dashed"), col=c("black", "red"))


###################################################
### chunk number 7: 
###################################################
 z <- ts(matrix(rnorm(200),100,2), start=c(1995,1), frequency=12)
  seriesNames(z) <- c("mat2c1", "mat2c2")
 TSreplace(z, con)
 tfplot(z+1, TSget(c("mat2c1","mat2c2"), con),
           lty=c("solid", "dashed"), col=c("black", "red"))


###################################################
### chunk number 8: 
###################################################
 TSmeta("mat2c1", con)
 TSmeta("vec", con)
 TSdates("vec", con)
 TSdescription("vec", con)
 TSdoc("vec", con)


###################################################
### chunk number 9: 
###################################################
 options(TSconnection=con)


###################################################
### chunk number 10: 
###################################################
 z <- TSget("mat2c1") 
 TSmeta("mat2c1")


###################################################
### chunk number 11: 
###################################################
 z <- ts(matrix(rnorm(10),10,1), start=c(1990,1), frequency=1)
 TSreplace(z, serIDs="Series1", con) 
 zz <- TSget("Series1", con)
 TSreplace(z, serIDs="Series1", con, 
     TSdescription="short rnorm series", 
     TSdoc="Series created as an example in the vignette.")
 zz <- TSget("Series1", con, TSdescription=TRUE, TSdoc=TRUE)
 start(zz)
 end(zz)
 TSdescription(zz)
 TSdoc(zz)

 TSdescription("Series1", con)
 TSdoc("Series1", con)

 z <- ts(rnorm(10), start=c(1990,1), frequency=1)
 seriesNames(z) <- "vec"
 TSreplace(z, con)
 zz <- TSget("vec", con)

 z <- ts(matrix(rnorm(20),10,2), start=c(1990,1), frequency=1)
 seriesNames(z) <- c("matc1", "matc2")
 TSreplace(z, con) 
 tfplot(z+1, TSget(c("matc1","matc2"), con),
           lty=c("solid", "dashed"), col=c("black", "red"))


###################################################
### chunk number 12: 
###################################################
 z <- ts(matrix(rnorm(20),10,2), start=c(1990,1), frequency=4)
 seriesNames(z) <- c("matc1", "matc2")
 TSreplace(z, con)
 tfplot(z+1, TSget(c("matc1","matc2"), con),
           lty=c("solid", "dashed"), col=c("black", "red"))


###################################################
### chunk number 13: 
###################################################
 z <- ts(matrix(rnorm(200),100,2), start=c(1995,1), frequency=12)
 seriesNames(z) <- c("mat2c1", "mat2c2")
 TSreplace(z, con) 
 tfplot(z+1, TSget(c("mat2c1","mat2c2"), con),
           lty=c("solid", "dashed"), col=c("black", "red"))


###################################################
### chunk number 14: 
###################################################
require("zoo") 

 z <- zoo(matrix(rnorm(200),100,2), as.Date("1990-01-01") + 0:99)
  seriesNames(z) <- c("zooc1", "zooc2")
 TSreplace(z, con)
 tfplot(z+1, TSget(c("zooc1","zooc2"), con),
           lty=c("solid", "dashed"), col=c("black", "red"))  


###################################################
### chunk number 15: 
###################################################
 z <- zoo(matrix(rnorm(200),100,2), as.Date("1990-01-01") + 0:99 * 7)
  seriesNames(z) <- c("zooWc1", "zooWc2")
 TSreplace(z, con)
 z2 <- TSget(c("zooWc1","zooWc2"), con)
 time(z)
 time(z2)


###################################################
### chunk number 16: 
###################################################
 tfplot(z2)


###################################################
### chunk number 17: 
###################################################
 tfplot(z+1, z2, col=c("black", "red"), lty=c("dashed", "solid"))  


###################################################
### chunk number 18: 
###################################################
 options(TSconnection=NULL)


###################################################
### chunk number 19: 
###################################################
  require("TShistQuote")
  Yahoo <- TSconnect("histQuote", dbname="yahoo") 
  x <- TSget("^gspc", quote = "Close", con=Yahoo)
  plot(x)
  tfplot(x)

  TSrefperiod(x) 
  TSdescription(x) 
  TSdoc(x) 


###################################################
### chunk number 20: 
###################################################
   TSreplace(x,  serIDs="gspc", Table="B", con=con)


###################################################
### chunk number 21: 
###################################################
  TSrefperiod(TSget(serIDs="gspc", con=con)) 
  TSdescription("gspc", con=con) 
  TSdoc("gspc", con=con)
  tfplot(TSget(serIDs="gspc", con=con))


###################################################
### chunk number 22: 
###################################################
   x <- TSget("ibm", quote = c("Close", "Vol"), con=Yahoo)
   TSreplace(x, serIDs=c("ibm.Cl", "ibm.Vol"),  con=con, Table="B",
              TSdescription.=c("IBM Close","IBM  Volume"),
	      TSdoc.= paste(c(
	         "IBM  Close   retrieved on ",
		 "IBM  Volume retrieved  on "), Sys.Date()))

   z <- TSget(serIDs=c("ibm.Cl", "ibm.Vol"), 
             TSdescription=TRUE, TSdoc=TRUE, con=con)
   TSdescription(z)
   TSdoc(z)
   tfplot(z, xlab = TSdoc(z), Title = TSdescription(z))
   tfplot(z, Title="IBM", start="2007-01-01")


###################################################
### chunk number 23: 
###################################################
  dbDisconnect(con)
  dbDisconnect(Yahoo)


###################################################
### chunk number 24: 
###################################################
  conets <- try(TSconnect("fame", dbname="ets /home/ets/db/etsintoecd.db",
                  accessMode="read")) 
  if (!inherits(conets, "try-error")) { 
    print(TSmeta("M.SDR.CCUSMA02.ST", con=conets))
  }


###################################################
### chunk number 25: 
###################################################
  conServer <- try(
    TSconnect("fameServer", dbname="/home/ets/db/etsintoecd.db",
       service = "2959", host = "ets", user="", password="",stopOnFail = TRUE)) 

  if (!inherits(conServer, "try-error")) { 
    print(TSmeta("M.SDR.CCUSMA02.ST", con=conServer))
  }


###################################################
### chunk number 26: 
###################################################
  if (!inherits(conServer, "try-error")) {
  
  options(TSconnection=conServer)

  print(TSmeta("M.SDR.CCUSMA02.ST"))

  EXCH.IDs <- t(matrix(c(
 	"M.SDR.CCUSMA02.ST",	 "SDR/USD exchange rate",
 	"M.CAN.CCUSMA02.ST",	 "CAN/USD exchange rate",
 	"M.MEX.CCUSMA02.ST",	 "MEX/USD exchange rate",
 	"M.JPN.CCUSMA02.ST",	 "JPN/USD exchange rate",
 	"M.EMU.CCUSMA02.ST",	 "Euro/USD exchange rate",
 	"M.OTO.CCUSMA02.ST",	 "OECD /USD exchange rate",
 	"M.G7M.CCUSMA02.ST",	 "G7   /USD exchange rate",
 	"M.E15.CCUSMA02.ST",	 "Euro 15. /USD exchange rate"
	), 2, 8))

  print(TSdates(EXCH.IDs[,1]))
  z <- TSdates(EXCH.IDs[,1])
  print(start(z))
  print(end(z))
   
  tfplot(TSget(serIDs="M.CAN.CCUSMA02.ST", conServer), 
      ylab="CDN dollors per US dollar",
      Title="Canada - U.S. Exchange Rate")
  }


###################################################
### chunk number 27: 
###################################################
if (!inherits(conServer, "try-error")) {
  print(TSdescription(TSget("M.CAN.CCUSMA02.ST", TSdescription=TRUE)))
  print(TSdescription("M.CAN.CCUSMA02.ST"))

  print(TSdoc(TSget("M.CAN.CCUSMA02.ST", TSdoc=TRUE)))
  print(TSdoc("M.CAN.CCUSMA02.ST"))

  tfplot(TSget("M.CAN.CCUSMA02.ST", names="M.CAN.CCUSMA02.ST", conServer))
  }


###################################################
### chunk number 28: 
###################################################
if (!inherits(conServer, "try-error")) {
  z <- TSget("M.CAN.CCUSMA02.ST", TSdescription=TRUE)
  tfplot(z, Title=strsplit(TSdescription(z), "//")[[1]][1:2])
  }


###################################################
### chunk number 29: 
###################################################
if (!inherits(conServer, "try-error")) {
  plot(z)
  }


###################################################
### chunk number 30: 
###################################################
  if (!inherits(conServer, "try-error")) {
  options(TSconnection=NULL)
  }  # end if try-error


###################################################
### chunk number 31: 
###################################################
dbDisconnect(conets)
dbDisconnect(conServer)
dbDisconnect(con)
options(TSconnection=NULL)


